org.apache.ignite.internal.processors.platform.memory

## Class PlatformPooledMemory

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory
  - - org.apache.ignite.internal.processors.platform.memory.PlatformPooledMemory

All Implemented Interfaces:
  AutoCloseable, PlatformMemory

    public class PlatformPooledMemory
    extends PlatformAbstractMemory

Interop pooled memory chunk.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory

`memPtr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformPooledMemory(PlatformMemoryPool pool, long memPtr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close memory releasing it.
`void` `reallocate(int cap)` Reallocate memory chunk.

### Methods inherited from class org.apache.ignite.internal.processors.platform.memory.PlatformAbstractMemory

`capacity, data, input, length, output, pointer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformPooledMemory

    public PlatformPooledMemory(PlatformMemoryPool pool,
                                long memPtr)

Constructor.

Parameters:
  `pool` - Owning memory pool.
  `memPtr` - Cross-platform memory pointer.

### Method Detail

#### reallocate

    public void reallocate(int cap)

Reallocate memory chunk.

Parameters:
  `cap` - Minimum capacity.

#### close

    public void close()

Close memory releasing it.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022